libcoap 4.3.2rc2

Macros | Functions
libcoap.h File Reference

Platform specific header file for CoAP stack. More...

`#include <netinet/in.h>`
`#include <sys/socket.h>`

Go to the source code of this file.

## Macros
#define | COAP_STATIC_INLINE static inline
#define | COAP_DEPRECATED __attribute__ ((deprecated))
#define | COAP_UNUSED

## Functions
void | coap_startup (void)
void | coap_cleanup (void)

## Detailed Description

Platform specific header file for CoAP stack.

Definition in file libcoap.h.

## Macro Definition Documentation

## ◆ COAP_DEPRECATED

#define COAP_DEPRECATED __attribute__ ((deprecated))

Definition at line 61 of file libcoap.h.

## ◆ COAP_STATIC_INLINE

#define COAP_STATIC_INLINE static inline

Definition at line 53 of file libcoap.h.

## ◆ COAP_UNUSED

#define COAP_UNUSED

Definition at line 68 of file libcoap.h.

## Function Documentation

## ◆ coap_cleanup()

void coap_cleanup | ( | void |  | ) |

Definition at line 4039 of file coap_net.c.

## ◆ coap_startup()

void coap_startup | ( | void |  | ) |

Definition at line 3992 of file coap_net.c.